<?php

namespace App\Services\marketing;

use App\Models\marketing\mysql\Marketing;
use App\Models\marketing\mysql\MarketingGoods;
use App\Models\goods\mysql\GoodsSku;
use App\Models\goods\mysql\GoodsSpu;
use App\Models\shop\mysql\SubShop;
use Api\PhpUtils\Validate\Validate;
use Api\PhpServices\Idgen\Idgen;
use App\Exception\custom\MarketingException;
use Api\PhpServices\Sensitive\Sensitive;
class MarketingGoodsService
{
    public static function marketingGoodsList($params)
    {   

    	$where = [];
    	$marketingWhere = [
			"end_time[>]" => date("Y-m-d"),
			"online_status" => 1,
    	];
    	$marketingList = Marketing::getMarketingList($marketingWhere);
    	$marketingId = array_column($marketingList, 'marketing_id');
        $where['marketing_id'] = !empty($marketingId) ? $marketingId : [];
        $data = MarketingGoods::marketingGoodsList($where);
        $goodsSkuId =  array_column($data, 'goods_sku_id');
        $goodsSkuList = GoodsSku::getRecordMaster(['goods_sku_id' => $goodsSkuId]);
        $goodsSkuList = array_column($goodsSkuList,null,'goods_sku_id');

        $shopId = [];
        foreach ($data as $key => $value) {
           $shopId[$key] = !empty($goodsSkuList[$value['goods_sku_id']]['shop_id']) ? $goodsSkuList[$value['goods_sku_id']]['shop_id'] : ''; 
        }
 

 
        $subShopList = SubShop::getRecords(['shop_id' => $shopId]);

        print_r($subShopList);



        die();



        $list = [];
        foreach ($data as $key => $value) {
            $list[$key] = $value;
            $list[$key]['life_account_id'] = !empty($goodsSkuList[$value['goods_sku_id']]['life_account_id']) ? $goodsSkuList[$value['goods_sku_id']]['life_account_id'] : '';
            $list[$key]['shop_id'] = !empty($goodsSkuList[$value['goods_sku_id']]['shop_id']) ? $goodsSkuList[$value['goods_sku_id']]['shop_id'] : '';
            $list[$key]['goods_name'] = !empty($goodsSkuList[$value['goods_sku_id']]['name']) ? $goodsSkuList[$value['goods_sku_id']]['name'] : '';
            $list[$key]['goods_desc'] = !empty($goodsSkuList[$value['goods_sku_id']]['desc']) ? $goodsSkuList[$value['goods_sku_id']]['desc'] : '';
            $list[$key]['goods_spu_id'] = !empty($goodsSkuList[$value['goods_sku_id']]['goods_spu_id']) ? $goodsSkuList[$value['goods_sku_id']]['goods_spu_id'] : '';
            $list[$key]['original_price'] = !empty($goodsSkuList[$value['goods_sku_id']]['original_price']) ? $goodsSkuList[$value['goods_sku_id']]['original_price'] : '';
            $list[$key]['price'] = !empty($goodsSkuList[$value['goods_sku_id']]['price']) ? $goodsSkuList[$value['goods_sku_id']]['price'] : '';
            $list[$key]['total_amount_order'] = !empty($goodsSkuList[$value['goods_sku_id']]['total_amount_order']) ? $goodsSkuList[$value['goods_sku_id']]['total_amount_order'] : '';
            $list[$key]['url'] = !empty($goodsSkuList[$value['goods_sku_id']]['url']) ? $goodsSkuList[$value['goods_sku_id']]['url'] : '';

            $shopId = !empty($list[$key]['shop_id']) ? $list[$key]['shop_id'] : '';



            

   
        }
 
 
   

 
        return $list;
    }
}



